<?php
/**
 * @package         FireBox
 * @version         1.0.5 Free
 * 
 * @author          FirePlugins <info@fireplugins.com>
 * @link            https://www.fireplugins.com
 * @copyright       Copyright © 2021 FirePlugins All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

namespace FireBox\Core\Admin\Includes\Cpts\FireBox;

if (!defined('ABSPATH'))
{
	exit; // Exit if accessed directly.
}

class MetaBoxLanguageIntegration
{
	public function __construct()
	{
		if (!is_admin())
		{
			return;
		}
		
		// filters the system integration settings
		add_filter('firebox/metabox/fb/si_settings_filter', [$this, 'filterSISettings']);
	}

	/**
	 * Adds the Language Assignment in System Integrations Settings
	 * 
	 * @param   array  $settings
	 * 
	 * @return  array
	 */
	public function filterSISettings($settings)
	{
		$start = [];
		$middle_start = [];
		$middle_end = [];

		
		$middle_start = [
			[
				'type' => 'Pro',
				'label' => 'FPF_WPML_LANGUAGE',
				'description' => 'FPF_LANGUAGE_DESC',
				'class' => ['margin-bottom-1']
			]
		];
		
		
		
		
		$end = [];

		$middle = array_merge($middle_start, $middle_end);
		$data = array_merge($start, $middle);
		$data = array_merge($data, $end);

		if (empty($settings))
		{
			$settings = $data;
		}
		else
		{
			$settings[] = $data;
		}

		return $settings;
	}
}