<?php
/**
 * @package         FirePlugins Framework
 * @version         1.0.13
 * 
 * @author          FirePlugins <info@fireplugins.com>
 * @link            https://www.fireplugins.com
 * @copyright       Copyright © 2021 FirePlugins All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

if (!defined('ABSPATH'))
{
	exit; // Exit if accessed directly.
}
$closeButton = $this->data->get('closeButton', true);
$footer = $this->data->get('footer', '');

$id = $this->data->get('id', '');
$attr_id = !empty($id) ? ' id="' . esc_attr($id) . '"' : '';
$class = $this->data->get('class', []);
if ($id)
{
	$class[] = 'fpf-modal-' . $id;
}
$class = count($class) ? ' ' . implode(' ', $class) : '';

$width = $this->data->get('width', '');
$height = $this->data->get('height', '');

$modal_body_class = $this->data->get('modal_body_class', []);
$modal_body_class = count($modal_body_class) ? ' ' . implode(' ', $modal_body_class) : '';

$overlay_click = $this->data->get('overlay_click', true);
?>
<div class="fpf-content-wrapper fpf-modal<?php echo esc_attr($class); ?>">
	<div class="modal viewport-width<?php echo esc_attr($width); ?>"<?php echo $attr_id; ?>>
		<div class="modal-content">
			<div class="modal-header">
				<h3 class="modal-title"><?php echo fpframework()->_($this->data->get('title')); ?></h3>
				<ul class="actions">
					<?php do_action('fpframework/modal/' . $id . '/header/prepend_actions'); ?>
					<?php if ($closeButton) { ?><li><a href="#" class="dashicons dashicons-no-alt fpf-modal-close"></a></li><?php } ?>
				</ul>
			</div>
			<div class="modal-body viewport-height<?php echo esc_attr($height . $modal_body_class); ?>"><?php echo $this->data->get('content'); ?></div>
			<?php if (!empty($footer)): ?>
			<div class="modal-footer"><?php echo $footer; ?></div>
			<?php endif; ?>
		</div>
	</div>
	<div class="overlay" data-on-overlay-click="<?php echo esc_attr($overlay_click); ?>"></div>
</div>